// HSW_CPPCLR.cpp : main project file.

#include "stdafx.h"

using namespace System;

int main(array<System::String ^> ^args)
{
	Console::WriteLine(L"Hello World");
	
	mcl_SolidStateSwitch_NET45::USB_Digital_Switch ^my_test1 = gcnew mcl_SolidStateSwitch_NET45::USB_Digital_Switch();		// Create instance of DLL class
	
	Console::WriteLine("Hello World");

	Console::WriteLine(L"Hello World");
	
	System::String ^SN = "";
	System::String ^MN = "";
	System::String ^Sw_Command = "";
	System::String ^Sw_Response = "";

	short Status = 0;

	Status = my_test1->Connect(SN);				// Connect to the switch (supply SN if needed)
	if (Status == 0) {
		Console::WriteLine("Could not connect - Check USB");
		return 0;
	} else {
		Console::WriteLine("Switch Connected");
	}

	Sw_Command = ":MN?";						// Read model name
	Status = my_test1->Send_SCPI(Sw_Command, Sw_Response);
	Console::WriteLine("Model Name: " + Sw_Response);

	Sw_Command = ":SN?";						// Read serial number
	Status = my_test1->Send_SCPI(Sw_Command, Sw_Response);
	Console::WriteLine("Serial Number: " + Sw_Response);
	
	Sw_Command = ":SP8T:STATE:8";				// Set switch state
	Status = my_test1->Send_SCPI(Sw_Command, Sw_Response);
	
	Sw_Command = ":SP8T:STATE?";				// Get switch state
	Status = my_test1->Send_SCPI(Sw_Command, Sw_Response);
	Console::WriteLine("Switch State: COM <>" + Sw_Response);
	
	my_test1->Disconnect();
	Console::WriteLine("Disconnected");

    return 0;

}
